# order_sl.cpp File Reference

Code handling saving and loading of orders. More...

`#include "../stdafx.h"`
`#include "../order_base.h"`
`#include "../core/alloc_func.hpp"`
`#include "../settings_type.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
static Order | UnpackVersion4Order (uint16 packed)
| Unpacks a order from savegames with version 4 and lower.
Order | UnpackOldOrder (uint16 packed)
| Unpacks a order from savegames made with TTD(Patch).
const SaveLoad * | GetOrderDescription ()
static void | Save_ORDR ()
static void | Load_ORDR ()
const SaveLoad * | GetOrderListDescription ()
static void | Save_ORDL ()
static void | Load_ORDL ()
## Variables
const ChunkHandler | _order_chunk_handlers []

## Detailed Description

Code handling saving and loading of orders.

Definition in file order_sl.cpp.

## Function Documentation

Order UnpackOldOrder | ( | uint16 | packed | ) |

Unpacks a order from savegames made with TTD(Patch).

Parameters:

  | packed | packed order

Returns:
  unpacked order

Definition at line 74 of file order_sl.cpp.

References UnpackVersion4Order().

static Order UnpackVersion4Order | ( | uint16 | packed | ) | `[static]`

Unpacks a order from savegames with version 4 and lower.

Parameters:

  | packed | packed order

Returns:
  unpacked order

Definition at line 65 of file order_sl.cpp.

References GB().

Referenced by UnpackOldOrder().

## Variable Documentation

const ChunkHandler _order_chunk_handlers[]

Initial value:

     {
      { 'ORDR', Save_ORDR, Load_ORDR, CH_ARRAY},
      { 'ORDL', Save_ORDL, Load_ORDL, CH_ARRAY | CH_LAST},
    }